import java.util.*; // para la clase Vector

public class Producto
{
	private Vector<String> tipos, precios;
	private int cantidad = 1;
	private String tipo = null;
	private int precio;
	private Archivo ar = new Archivo();
	
	public Producto()
	{
		tipos = ar.leerProductos();
		precios = ar.leerPrecios();
	}
	
	public Producto(String typ)
	{
	   this();  
		tipo = typ;
		precio = ar.leerPrecio(tipo);
	}
	
	public Producto (String typ, int cant)
	{
	   this(typ);
		cantidad = cant;
	}
	
	public void setCantidad(int n)
	{
	   cantidad = n;
	}
	
	public int getCantidad()
	{
	   return cantidad;
	}
	
	public int getPrecio()
	{
	   return precio;
	}
	
	public Vector<String> getAllPrecios()
	{
	   return precios;
	}
	
	public String getTipo()
	{
	   return tipo;
	}

   public Vector<String> getAllTipos()
	{
	   return tipos;
	}
}